Bug 148752 - Wrong permissions of /etc/pcmcia/bluetooth
Wrong permissions of /etc/pcmcia/bluetooth
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bluez-utils (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-15 03:19 EST by Kolar, Petr
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 2.15-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-02 07:30:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kolar, Petr 2005-02-15 03:19:21 EST
Description of problem: Script /etc/pcmcia/bluetooth lacks permissions
`execute'.

Version-Release number of selected component (if applicable):
bluez-utils-2.10-2

How reproducible:
Every time.

Steps to Reproduce:
1. Insert a Bluetooth PCMCIA card into slot
  
Actual results:
Message

Feb 15 09:00:04 bat cardmgr[2850]: + sh: ./bluetooth: Access denied

in /var/log/messages

Expected results: No such message

Additional info:

It seems that the file /etc/pcmcia/bluetooth should have permissions
755 instead of 644.

Albeit my BT card (Anycom CF-300) works even with default setting,
there could be problems with cards that work as a serial port
(CF-300 works as a network card). Otherwise /etc/pcmcia/bluetooth
would be superfluous.

Note You need to log in before you can comment on or make changes to this bug.